/* https://www.w3schools.com/howto/howto_css_modals.asp */

/* The Modal (background) */
.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.6);
    /* Black w/ opacity */
    z-index: 1000;
}

/* Modal Content/Box */
.modal-content {
    position: relative;
    /* width: 60%; */
    /* Could be more or less, depending on screen size */
    margin: 10% auto;
    /* 15% auto = 15% from the top and centered */
    padding: 0px;
    /* background-color: #fefefe; */
    border-radius: 4px;
    animation-name: animatetop;
    animation-duration: 0.4s
}

/* Modal Content */
/* .modal-content {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 0;
    border: 1px solid #888;
    width: 80%;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    animation-name: animatetop;
    animation-duration: 0.4s
} */

/* Modal Header */
.modal-header {
    margin: 0px;
    padding: 6px 16px;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

/* Modal Body */
.modal-body {
    margin: 0px;
    padding: 2px 16px;
    padding-bottom: 24px;
    /* background-color: #256F91; */
}

.modal-body * {
    color: black;
}

.modal-body h2,
.modal-body h3,
.modal-body h4,
.modal-body div,
.modal-body p {
    text-align: left;
}

/* Modal Footer */
.modal-footer {
    margin: 0px;
    padding: 2px 16px;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    text-align: right;
}

/* background colors */
.success {
    background-color: rgb(98, 203, 49);
    /* #62CB31 */
}

.primary {
    background-color: rgb(27, 105, 173);
    /* #428BCA */
}

.info {
    background-color: rgb(52, 152, 219);
    /* #3498DB */
}

.warning {
    background-color: rgb(255, 182, 6);
    /* #FFB606 */
}

.danger {
    background-color: rgb(231, 76, 60);
    /* #E74C3C */
}


/*----------------------------------------------------------------*/
/*links*/

/* .modal a:link {
    color: rgb(255, 255, 128);
} */

/* .modal a:visited {
    color: rgb(255, 255, 192);
} */

/* .modal a:hover {
    color: yellow;
    text-decoration: underline;
} */


/* COLOR PALETTES, FOR REFERENCE */
/* https://bootsnipp.com/snippets/featured/colored-modal-headings */

x.success {
    background-color: rgb(92, 184, 92);
    /* #5CB85C */
}

x.primary {
    background-color: rgb(66, 139, 202);
    /* #428BCA */
}

x.info {
    background-color: rgb(91, 192, 222);
    /* #5BC0DE */
}

x.warning {
    background-color: rgb(240, 173, 78);
    /* #F0AD4E */
}

x.danger {
    background-color: rgb(217, 83, 79);
    /* #D9534F */
}

x.success {
    background-color: rgb(98, 203, 49);
    /* #62CB31 */
}

x.primary {
    background-color: rgb(27, 105, 173);
    /* #428BCA */
}

x.info {
    background-color: rgb(52, 152, 219);
    /* #3498DB */
}

x.warning {
    background-color: rgb(255, 182, 6);
    /* #FFB606 */
}

x.danger {
    background-color: rgb(231, 76, 60);
    /* #E74C3C */
}

.pause .modal-header {
    color: white;
}

.pause .modal-body {
    border: 2px solid rgb(16, 54, 188);
}

.pause .modal-footer {
    color: white;
}

.quit .modal-header {
    color: white;
}

.quit .modal-body {
    border: 2px solid rgb(196, 17, 17);
}

.quit .modal-footer {
    color: white;
}

.success .modal-header {
    color: white;
}

.success .modal-body {
    border: 2px solid rgb(23, 155, 13);
}

.success .modal-footer {
    color: white;
}

.primary .modal-header {
    color: white;
}

.primary .modal-body {
    border: 2px solid #428BCA;
}

.primary .modal-footer {
    color: white;
}

.info .modal-header {
    color: white;
}

.info .modal-body {
    border: 2px solid #3498DB;
}

.info .modal-footer {
    color: white;
}

.warning .modal-header {
    color: white;
}

.warning .modal-body {
    border: 2px solid #FFB606;
}

.warning .modal-footer {
    color: white;
}

.danger .modal-header {
    color: white;
}

.danger .modal-body {
    border: 2px solid #E74C3C;
}

.danger .modal-footer {
    color: white;
}

/* Add Animation */
@keyframes animatetop {
    from {
        opacity: 0
    }

    to {
        opacity: 1
    }
}

/* The Close Button */
.close {
    float: right;
    padding: 0px !important;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: white;
    text-decoration: none;
    cursor: pointer;
}

button.modalOk,
button.modalYes,
button.modalNo {
    width: 80px;
    margin: 8px;
    margin-right: 0px;
    padding: 4px;
    color: #646464;
    border-radius: 4px;
    font-size: 14px;
    font-weight: bold;
    cursor: pointer;
}